- [HTTP request](https://docs.cloud.google.com/security-command-center/docs/reference/rest/v1beta2/organizations/updateEventThreatDetectionSettings#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/security-command-center/docs/reference/rest/v1beta2/organizations/updateEventThreatDetectionSettings#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/security-command-center/docs/reference/rest/v1beta2/organizations/updateEventThreatDetectionSettings#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/security-command-center/docs/reference/rest/v1beta2/organizations/updateEventThreatDetectionSettings#body.request_body)
- [Response body](https://docs.cloud.google.com/security-command-center/docs/reference/rest/v1beta2/organizations/updateEventThreatDetectionSettings#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/security-command-center/docs/reference/rest/v1beta2/organizations/updateEventThreatDetectionSettings#body.aspect)
- [Try it!](https://docs.cloud.google.com/security-command-center/docs/reference/rest/v1beta2/organizations/updateEventThreatDetectionSettings#try-it)

Updates the EventThreatDetectionSettings resource.

### IAM Permissions

Requires the following IAM permission on the `eventThreatDetectionSettings.name` field:

- `securitycenter.eventthreatdetectionsettings.update`

### HTTP request

Choose an endpoint:
global me-central2 us eu   
`PATCH https://securitycenter.googleapis.com/v1beta2/{eventThreatDetectionSettings.name=organizations/*/eventThreatDetectionSettings}`

<br />

The URLs use [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `eventThreatDetectionSettings.name` | `string` Identifier. The resource name of the EventThreatDetectionSettings. Formats: - organizations/{organization}/eventThreatDetectionSettings - folders/{folder}/eventThreatDetectionSettings - projects/{project}/eventThreatDetectionSettings |

### Query parameters

| Parameters ||
|---|---|
| `updateMask` | ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#field-mask` format)`` The list of fields to be updated. |

### Request body

The request body contains an instance of `https://docs.cloud.google.com/security-command-center/docs/reference/rest/v1beta2/EventThreatDetectionSettings`.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/security-command-center/docs/reference/rest/v1beta2/EventThreatDetectionSettings`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `https://www.googleapis.com/auth/securitycenter`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).